%define snapshot 0
%define pre rc
%define bootstrap 0

%ifarch %{arm} aarch64
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 0
%endif
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtxmlpatterns %mklibname qt5xmlpatterns %qtmajor
%define libqtxmlpatterns_d %mklibname qt5xmlpatterns -d
%define libqtxmlpatterns_p_d %mklibname qt5xmlpatterns-private -d

%if %snapshot
%define qttarballdir qtxmlpatterns-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtxmlpatterns-everywhere-opensource-src-%{qtversion}
%endif

Name: qtxmlpatterns5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt XmlPatterns component
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

%files
%{_qt5_qmldir}/QtQuick/XmlListModel/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtXmlPatterns%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtXmlPatterns5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtxmlpatterns.qch
%{_qt5_docdir}/qtxmlpatterns/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: %{name}-xmlpatterns >= %{version}
Obsoletes: %{_lib}qtxmlpatterns5 < %{qtversion}-4

%description -n %{libqtxmlpatterns}
Qt%{qtmajor} Component Library.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files -n %{libqtxmlpatterns}
%{_qt5_libdir}/libQt5XmlPatterns.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: Qt%{qtmajor} Xmlpatterns Utility
Group: Development/Libraries
Provides: qt5-xmlpatterns = %version-%release
Obsoletes: qt5-xmlpatterns
Requires:  %{name} >= %{version}
Requires:  %{libqtxmlpatterns} = %version-%release

%description xmlpatterns
Qt%{qtmajor} Xmlpatterns Utility.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files xmlpatterns
%{_qt5_bindir}/xmlpatterns

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns_d}
Summary: Devel files needed to build apps based on QtXmlPatterns
Group:    Development/Libraries
Requires: %{libqtxmlpatterns} = %version
Requires: qtbase5-common-devel = %{version}
Obsoletes: %{_lib}qtxmlpatterns5-devel < %{qtversion}-4
Provides: libqtxmlpatterns5-devel = %version
Provides: libqt5xmlpatterns-devel = %version
Provides: qtxmlpatterns5-devel = %version
Provides: qt5xmlpatterns-devel = %version

Provides: libqtxmlpatterns5-private-devel = %version
Provides: libqt5xmlpatterns-private-devel = %version
Provides: qtxmlpatterns5-private-devel = %version
Provides: qt5xmlpatterns-private-devel = %version

%description -n %{libqtxmlpatterns_d}
Devel files needed to build apps based on QtXmlPatterns.

%files -n %{libqtxmlpatterns_d}
%{_qt5_bindir}/xmlpatternsvalidator
%{_qt5_libdir}/libQt5XmlPatterns.prl
%{_qt5_libdir}/libQt5XmlPatterns.so
%{_qt5_libdir}/pkgconfig/Qt5XmlPatterns.pc
%{_qt5_includedir}/QtXmlPatterns
%{_qt5_libdir}/cmake/*
%{_qt5_archdatadir}/mkspecs/modules/*
%{_qt5_examplesdir}/xmlpatterns

#------------------------------------------------------------------------------

%prep
%setup -q -n qtxmlpatterns-everywhere-src-%{qtversion}

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
